import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class MapRotateCompass extends StatelessWidget {
  final double rotation;
  final void Function()? resetRotation;

  @override
  const MapRotateCompass({
    required this.rotation,
    required this.resetRotation,
    Key? key
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AnimatedOpacity(
      opacity: rotation != 0.0 ? 1 : 0,
      duration: const Duration(milliseconds: 200),
      child: Align(
        alignment: Alignment.topRight,
        child: Padding(
          padding: const EdgeInsets.only(top: 4, right: 12),
          child: FloatingActionButton(
            backgroundColor: Colors.white,
            mini: true,
            onPressed: resetRotation,
            child: Transform.rotate(
              angle: rotation,
              child: SvgPicture.asset("assets/images/compass.svg", height: 28),
            ),
          ),
        ),
      ),
    );
  }
}